> For a complete page index, fetch https://developer.close.com/llms.txt

# Retrieve a single Webhook subscription

GET https://api.close.com/api/v1/webhook/{id}/

The response contains the subscription details.

Reference: https://developer.close.com/api/resources/webhooks/get

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Successful response

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Response**

```json
{
  "counters": {},
  "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date_created": "2018-12-06T19:15:09.590432",
  "date_updated": "2018-12-06T19:15:09.590439",
  "events": [
    {
      "action": "created",
      "object_type": "lead"
    },
    {
      "action": "updated",
      "object_type": "lead"
    },
    {
      "action": "created",
      "object_type": "activity.call"
    },
    {
      "action": "created",
      "object_type": "activity.note"
    },
    {
      "action": "updated",
      "object_type": "activity.note"
    }
  ],
  "health_status": "healthy",
  "id": "whsub_6un6NQjYTaFdgtIZsTDXP6",
  "latest_error": null,
  "pause_reason": null,
  "recent_consecutive_fail_buckets_cnt": 0,
  "signature_key": "058bfb6a3d8cfdc4da7c3be5901b16ae11da982b46a25fb2cd7016e97a140a1c",
  "status": "active",
  "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "url": "https://test.example.com",
  "verify_ssl": true
}
```

**SDK Code**

```python webhooks_get_example
import requests

url = "https://api.close.com/api/v1/webhook/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript webhooks_get_example
const url = 'https://api.close.com/api/v1/webhook/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go webhooks_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/webhook/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby webhooks_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/webhook/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java webhooks_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/webhook/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php webhooks_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/webhook/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp webhooks_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/webhook/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```